Subject: [dane] Gen-ART Review of draft-ietf-dane-registry-acronyms-03

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 15 Jan 2014 15:11:19 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: http://www.ietf.org/id/draft-ietf-dane-registry-acronyms-03.txt

Reviewer: Dan Romascanu

Review Date: 1/15/2014

IETF LC End Date: 1/23/2014

IESG Telechat date:

Summary:

Ready with issues

Major issues:

None - it's a simple, clear and useful document.

Minor issues:

1.       In Section 2.3 the I-D recommends that the values in reference column for SHA-256 and SHA-512 refer to [RFC 6698] while the IANA Considerations section in RFC 6698 recommends and the registry entries in the TLSA Matching Types table at http://www.iana.org/assignments/dane-parameters/dane-parameters.xhtml  point to [RFC 6234].

2.       As this I-D updates the registries with a column for acronyms, it seems more accurate that the reference columns of all tables mention both  [RFC 6698] and [RFC XXXX] (this RFC)

Nits/editorial comments:

In the Introduction section:

'This document updates the IANA registry definition for TLSA

   record to add a column with acronym for each specified field'

s/acronym/an acronym/

---

From: Olafur Gudmundsson <[email-masked]>
Date: Thu, 16 Jan 2014 15:45:58 -0500

On Jan 15, 2014, at 10:11 AM, "Romascanu, Dan (Dan)" <[email-masked]> wrote:

> None – it’s a simple, clear and useful document.

thanks 

>  
> Minor issues:
> 1.       In Section 2.3 the I-D recommends that the values in reference column for SHA-256 and SHA-512 refer to [RFC 6698] while the IANA Considerations section in RFC 6698 recommends and the registry entries in the TLSA Matching Types table athttp://www.iana.org/assignments/dane-parameters/dane-parameters.xhtml  point to [RFC 6234].

Good Catch, fixed 

> 2.       As this I-D updates the registries with a column for acronyms, it seems more accurate that the reference columns of all tables mention both  [RFC 6698] and [RFC XXXX] (this RFC)

I'm not sure if I agree, all this document does is to change the format of the registries it is not the definitions of any table entry. 
But I think it would be good to change the reference for each of the registries to point to both RFC6698 and RFCXXXX 

I propose adding to each registry sections the following text: 
        "Update reference for this registry to include both [RFC6698] and [RFC-this-document]"

> ‘This document updates the IANA registry definition for TLSA
>    record to add a column with acronym for each specified field’
> s/acronym/an acronym/
>  

Fixed 

thanks 

	Olafur

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 19 Jan 2014 08:39:14 +0000

Looks good, thank you for addressing my comments.

Regards,

Dan

From: Olafur Gudmundsson [mailto:[email-masked]]
Sent: יום ה 16 ינואר 2014 22:46
To: Romascanu, Dan (Dan)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [dane] Gen-ART Review of draft-ietf-dane-registry-acronyms-03

On Jan 15, 2014, at 10:11 AM, "Romascanu, Dan (Dan)" <[email-masked]<mailto:[email-masked]>> wrote:

Summary:
Ready with issues

Major issues:

thanks

Minor issues:

Good Catch, fixed

Nits/editorial comments:

Fixed

thanks

          Olafur